require 'r9p.rb'

module R9P
	include Client::Constants

	Client.new('unix!/tmp/ns.kris.:1/wmii') { |c|
		c.open('/') { |f|
			f.readdir.each { |f| 
				puts "/#{f.name}:"
				f.fields.each_pair { |k, v|
					puts "\t#{k.id2name}: #{v.inspect}"
				}
			}
		}
		c.open('/keys') { |f|
			puts "\n/keys:"
			print f.read
		}
		c.open('/ctl', OREAD) { |f|
			f.to_fd { |fd|
				print "From /ctl: #{fd.readline}"
			}
		}
	}
end
